#!/bin/bash

arr=($(echo $1 | tr "-" " "))
obsid="${arr[0]}"
detector="${arr[1]}"
echo "obsid: "$obsid
echo "detector: "$detector

cd /pipeline/output/
python /pipeline/app/run.py $obsid $detector
exit_code=$?

echo "=====pipeline.log====" > /work/custom-out.txt
cat /pipeline/output/pipeline.log >> /work/custom-out.txt


echo "======module.log======" >> /work/custom-out.txt
cat /pipeline/output/module.log|tail -n 100 >> /work/custom-out.txt

timefile=/pipeline/output/timestamps.txt
if test -f "$timefile"; then
    echo "$timefile exist"
    mv /pipeline/output/timestamps.txt /work/timestamps.txt
fi

if [ $exit_code -eq 0 ]; then  
  echo "finish sls, start sink-job."  
  scalebox task add --sink-job msc-l1-sls-extraction-zero $1
else  
  echo "finish sls, exit_code: $exit_code"  
fi

rm -rf /pipeline/input/* /pipeline/output/*

exit $exit_code
